Prospecting
Search Companies
Search for companies using various filters. This is step 2 of the prospecting process.
Endpoint: (POST) https://api.lusha.com/prospecting/company/search
Signal Filtering (Premium Feature)
Filter companies by signal types to identify those with recent business events and changes.
Note: This is a premium feature. Credits are charged for each signal type that returns results.
POST
/
prospecting
/
company
/
search
curl --request POST \
--url https://api.lusha.com/prospecting/company/search \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"pages": {
"page": 0,
"size": 20
},
"filters": {
"companies": {
"include": {
"companyLocations": [
{
"country": "United States",
"state": "California"
},
{
"country": "Germany"
}
]
}
}
}
}
'{
"requestId": "<string>",
"currentPage": 123,
"pageLength": 123,
"totalResults": 123,
"companies": [
{
"id": "<string>",
"name": "<string>",
"fqdn": "<string>",
"description": "<string>",
"logoUrl": "<string>",
"hasCompanyEmployeesCount": true,
"hasCompanyRevenue": true,
"hasCompanyMainIndustry": true,
"hasCompanySubIndustry": true,
"hasCompanyFunding": true,
"hasCompanyIntent": true,
"hasCompanyTechnologies": true,
"hasCompanyCity": true,
"hasCompanyCountry": true,
"signalTypes": null
}
]
}{
"statusCode": 400,
"message": "Invalid request parameters"
}{
"statusCode": 401,
"message": "Invalid API key"
}{
"statusCode": 429,
"message": "Too many requests. Please wait before making another request."
}{
"statusCode": 500,
"message": "Internal server error. Please try again later."
}Authorizations
Your Lusha API key. You can find this in your Lusha dashboard under API settings.
Include this key in the api_key header for all requests.
Was this page helpful?
⌘I
curl --request POST \
--url https://api.lusha.com/prospecting/company/search \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"pages": {
"page": 0,
"size": 20
},
"filters": {
"companies": {
"include": {
"companyLocations": [
{
"country": "United States",
"state": "California"
},
{
"country": "Germany"
}
]
}
}
}
}
'{
"requestId": "<string>",
"currentPage": 123,
"pageLength": 123,
"totalResults": 123,
"companies": [
{
"id": "<string>",
"name": "<string>",
"fqdn": "<string>",
"description": "<string>",
"logoUrl": "<string>",
"hasCompanyEmployeesCount": true,
"hasCompanyRevenue": true,
"hasCompanyMainIndustry": true,
"hasCompanySubIndustry": true,
"hasCompanyFunding": true,
"hasCompanyIntent": true,
"hasCompanyTechnologies": true,
"hasCompanyCity": true,
"hasCompanyCountry": true,
"signalTypes": null
}
]
}{
"statusCode": 400,
"message": "Invalid request parameters"
}{
"statusCode": 401,
"message": "Invalid API key"
}{
"statusCode": 429,
"message": "Too many requests. Please wait before making another request."
}{
"statusCode": 500,
"message": "Internal server error. Please try again later."
}